@Echo Control file to test Kermit-10 Server functions with parity via Tops-20 DECnet NRT
LCLT20:: @CHKPNT LCLT20
@Get Kermit
@Info Ver
@Start
*Echo Condition Local Kermit-20
*Set Prompt "Local-Kermit-20>"
*Echo Note that CWD now knows when it needs a password
*CWD KT:
*Set Input Default-Timeout 30 !Communications are REALLY slow!
*Set Input Timeout-Action Quit 
*Show 50
*Set 50
*Set Parity Even /Check-on-Receive /Packets-Only 
*Show Packet
*Show Timing
*Log Session KT:K10NRP-SESSION.LOG.-1
*Show Line
!
REMT10:: @CHKPNT LCLT10
!
*Echo Sign into remote Tops-10 NRT
*Echo Communications with this system are extremely slow
*Connect VENTI:: /stay /timeout 50
*Pause 5
*Input "Please LOGIN\r\n\r\n."
*Output "login 260,7\r"
*Input "Password:"
*Output "\r"
*Input "\r\n\r\n."
!
!
MAKDEL:: @CHKPNT MAKDEL
!
*Echo Make a file file for us to delete
*Output "R PIP\r" !Tops-10 has no COPY command...!
*Input "\r\n*"
*Output "DELETE.ME=TTY:/A\r"
*Pause 2 !Doesn't prompt for text!
*Output "I'm just supposed to be deleted!\r"
*Pause 0.75 !Give it a chance to swallow that!
*Output "Bye!!\r"
*Pause 0.75
*Output "\Z" !Finishes and gets to PIP command level!
*Input "\r\n*"
*Output "\Z" !Exits PIP to the monitor!
*Input "\r\n."
*Output "DIRECT DELETE.ME\r"
*Input "\r\n."
!
!
REMK10:: @CHKPNT REMK10
!
*Echo Start Kermit on remote Tops-10 job
*Output "RUN K10MIT\r"
*Input "Kermit-10>"
!
!
*Echo Configure remote Kermit for parity and put into server mode
!
*Set Input Search-Default "\r\nRemote-Kermit-10>"
*Show Input
*Output "Set Prompt Remote-Kermit-10>\r"
*Input /silent
*Output "Set Delay 10\r"
*Input /silent
*Output "Set Send Timeout 20\r"
*Input /silent
*Output "Set Receive Timeout 20\r"
*Input /silent
*Output "Set Retry Packets 10\r"
*Input /silent
*Output "Set Send Packet-Length 50\r"
*Input /silent
*Output "Set Receive Packet-Length 50\r"
*Input /silent
*Output "Set File Byte-Size 7\r" !Don't allow auto-byte!
*Input /silent
*Output "Set Parity Even\r"
*Input /silent
!
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
*Output "Show File\r"
*Input
!
!
*Output "SERVER\r"
*Input "Kermit BYE" 
*Input ".]\r\n" 
!
!
! The following commands exercise the remote Kermit in server mode
!
K10SRV:: @CHKPNT K10SRV
!
*Echo Simple comands that do not open files
!
*Echo Remote Help (BASIC)
*Remote Help
!
*Echo Tops-10 Kermit does not implement PWD, but a blank SPACE is useful
*Remote Space
!
*Echo Let's look at the file we created with PIP
*Remote Direct DELETE.ME
!
*Echo Now let's ... TOSS IT!!
*Remote Delete DELETE.ME
!
*Echo Test of remote status command
*Remote Status
!
!
K10WLD:: @CHKPNT K10WLD
*Echo Demonstrate parity errors in wildcarded directory listing
@NOERROR
*Remote Direct "K10*.MAC"
*Pause 1
*Clear /Display /Repeat 2,2
@ERROR
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Transfer tests with data files (even parity)
!
ATTACH:: @CHKPNT ATTACH
*Remote Direct HLP:ATTACH.HLP
*Get "HLP:ATTACH.HLP" ATTACH.HLP;T
!
KILL:: @CHKPNT KILL
*Remote Direct HLP:KILL.HLP
*Get "HLP:KILL.HLP" KILL.HLP;T
!
KJOB:: @CHKPNT KJOB
*Remote Direct HLP:KJOB.HLP
*Get "HLP:KJOB.HLP" KJOB.HLP;T
!
PATH:: @CHKPNT PATH
*Remote Direct HLP:PATH.HLP
*Get "HLP:PATH.HLP" PATH.HLP;T
!
SYSTAT:: @CHKPNT SYSTAT
*Remote Direct HLP:SYSTAT.HLP
*Get "HLP:SYSTAT.HLP" SYSTAT.HLP;T
!
INITIA:: @CHKPNT INITIA
*Remote Direct HLP:INITIA.HLP
*Get "HLP:INITIA.HLP" INITIA.HLP;T
!
*Statistics
!
!
DONT10:: @CHKPNT DONT10
!
*Echo Done with Tops-10 remote tests, exit the remote Tops-10 Kermit
@NOERROR
*Echo Tops-10 generates wrong parity on exiting
*Finish
*Pause 2
*Output "\r"
*Input "\r\n."
*Clear /Display /Repeat 2,2
@ERROR
*Show Line
!
*Echo Log the remote Tops-10 job out
*Echo Handle a timing error if Tops-10 closes too quickly and we get an EOF
*Set Parity None
*Set Input Timeout-Action Proceed
*Output "K/D\r"
@NOERROR
*Input "\r\n."
@ERROR
*Set Input Timeout-Action Quit
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Close Session
*Connect Close
*Quit
@Info Fork
!
!
CHKFIL:: @CHKPNT CHKFIL
@Echo Compare transferred files against known originals
@Info Job
@VD ATTACH.HLP,KILL.HLP,KJOB.HLP,PATH.HLP,SYSTAT.HLP,INITIA.HLP /Sep
@Set Trap File
@FILCOM
*TTY:=KH:ATTACH.HLP,KT:ATTACH.HLP
*TTY:=KH:KILL.HLP,KT:KILL.HLP
*TTY:=KH:KJOB.HLP,KT:KJOB.HLP
*TTY:=KH:PATH.HLP,KT:PATH.HLP
*TTY:=KH:SYSTAT.HLP,KT:SYSTAT.HLP
*TTY:=KH:INITIA.HLP,KT:INITIA.HLP
=
PORKY:: @CHKPNT PORKY
@Echo That's all Folks!
